From: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
Date: Sat, 1 May 2021 22:08:13 +0200
Subject: s5k3l6xx: Set minimum analogue_gain value to 0x20

This matches the specified value of analogue_gain_code_min.
---
 drivers/media/i2c/s5k3l6xx.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index b6cb4ad..2f6ee07 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -921,7 +921,7 @@ static int s5k3l6xx_initialize_ctrls(struct s5k3l6xx *state)
 	*/
 	// Total gain: 32 <=> 1x
 	ctrls->analog_gain = v4l2_ctrl_new_std(hdl, ops, V4L2_CID_ANALOGUE_GAIN,
-					0, 0x200, 1, 0x20);
+					0x20, 0x200, 1, 0x20);
 
 	v4l2_ctrl_new_std_menu_items(hdl, ops, V4L2_CID_TEST_PATTERN,
 				     ARRAY_SIZE(s5k3l6_test_pattern_menu) - 1,
